#ifndef _GLEW_H_
#define _GLEW_H_

/*
 *	www glew : http://glew.sourceforge.net/
 */

#include "../App/EngineH.h"
#include <glew.h>
#include <wglew.h>
#pragma comment(lib, "glew32.lib")

void			W_GLEW_Init();
std::string		W_GLEW_GetVersion();
bool			W_GLEW_Support(const std::string name_ext);

//////////////////////////////////////////////////////////////////////////
// Extensions
//////////////////////////////////////////////////////////////////////////

// enum
enum W_EXTenum {
	WEXT_MAX_ANISOTROPIC, 
	WEXT_AAA};

float W_EXT_GetF(const W_EXTenum target);
void W_EXT_SetF(const W_EXTenum  target, const float param);

#endif //_GLEW_H_